Ruby on Rails/emacs-railsのインストール http://www.ark-web.jp/sandbox/wiki/388.html

emacs-railsとは、emacsでrailsの開発をするときにすっごく便利なもの。くわしくはこちら。

参考)

[edit]

rootでemacsのsite-lispにインストール。

# cd /usr/local/src/
# wget http://rubyforge.org/frs/download.php/15680/emacs-rails-0.43.tar.gz
# tar xzf emacs-rails-0.43.tar.gz
# mv emacs-rails /usr/share/emacs/site-lisp/rails
# wget http://www.webweavertech.com/ovidiu/emacs/find-recursive.txt
# mv find-recursive.txt /usr/share/emacs/site-lisp/find-recursive.el
# wget http://www.kazmier.com/computer/snippet.el
# mv snippet.el /usr/share/emacs/site-lisp/

/usr/share/emacs/site-lisp/subdirs.elがあるか要確認。
なければ、/usr/share/emacs21 とか別のディレクトリかも。

[edit]

個人のユーザーの.emacsに下記を追記。

(setq auto-mode-alist  (cons '("\\.rhtml$" . ruby-mode) auto-mode-alist))
(require 'rails)
(define-key rails-minor-mode-map "\C-c\C-p" 'rails-lib:run-primary-switch)
(define-key rails-minor-mode-map "\C-c\C-n" 'rails-lib:run-secondary-switch)
(defun try-complete-abbrev (old)
  (if (expand-abbrev) t nil)) 
(setq hippie-expand-try-functions-list
      '(try-complete-abbrev
        try-complete-file-name
        try-expand-dabbrev))

Ruby Mode Snippetsを使うためには.rhtmlをhtml-modeにする、とひげぽんさんやRoR Wiki翻訳さんのところにはあったが、僕の環境では、ruby-modeじゃないと使えなかった。バージョンのせい?

それにしてもこれは感動 [bigsmile]

投稿者志田 | パーマリンク

| append.gif

tag: Ruby on Rails, emacs


トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 単語検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2007-03-31 (土) 09:57:02 (4633d)

アークウェブのサービスやソリューションはこちら